Bug 469571 - AVC denials with gxine plugin
AVC denials with gxine plugin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 14:28 EST by Christopher Stone
Modified: 2009-11-18 05:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2008-11-02 14:28:24 EST
Hi, when viewing http://www.netcastdaily.com/broadcast/fsn2008-1101-3a.mp3 with the gxine plugin for firefox, I get a bunch of avc denial messages.

This is using rawhide.

/sbin/ausearch -m avc -ts today | audit2allow -R gives:
http://fpaste.org/paste/8427

sesearch --allow -s nsplugin_t -t user_home_t gives:
http://fpaste.org/paste/8428

Also, when I ran gxine with firefox, it complained about not being able to write to my ~/.config/gxine directory, so I created that dir by hand it was able to write at that point, but then I ran restorecon -R -v /home and it printed:
restorecon reset /home/chris/.config/gxine/accels.scm context unconfined_u:object_r:nsplugin_home_t:s0->system_u:object_r:user_home_t:s0                                                    
restorecon reset /home/chris/.config/gxine/playlist context unconfined_u:object_r:nsplugin_home_t:s0->system_u:object_r:user_home_t:s0                                                      
restorecon reset /home/chris/.config/gxine/mediamarks context unconfined_u:object_r:nsplugin_home_t:s0->system_u:object_r:user_home_t:s0
restorecon reset /home/chris/.config/gxine/config context unconfined_u:object_r:nsplugin_home_t:s0->system_u:object_r:user_home_t:s0
restorecon reset /home/chris/.config/gxine/keybindings context unconfined_u:object_r:nsplugin_home_t:s0->system_u:object_r:user_home_t:s0
restorecon reset /home/chris/.Xauthority context system_u:object_r:xdm_home_t:s0->system_u:object_r:xauth_home_t:s0

Then I got the error messages from gxine again the next time I tried to run it.

ls -alZ ~/.config/gxine/ gives:
http://fpaste.org/paste/8429
Comment 1 Daniel Walsh 2008-11-03 17:24:14 EST
You can either turn off nsplugin protection or remove gxine from mozplugger.  Or remove mozplugger alltogether.  Currently SELinux and mozplugger do not get  a long well.  SELinux wants to confine anything that runs in the nspluginwrapper while mozplugger wants to run a lot of desktop apps within nsplugin. (OpenOffice, Totem, eclipse, gxine.)

To turn off nsplugin confinement, execute

setsebool -P allow_unconfined_nsplugin_transition =0
Comment 2 Karsten Wade 2008-11-07 07:08:29 EST
Release note added for Fedora 10; let us know if it needs to be removed or modified.

<para>Browser plug-ins wrapped with
      <command>nspluginwrapper</command>, which is the default, are
      confined by SELinux policy.</para>
    <para>SELinux and the Firefox <command>mozplugger</command>
      infrastructure may not work together as expected, due to
      fundamentally different goals for each.  As a test or solution, to
      turn off SELinux confinement of <command>nsplugin</command>, run
      this command:</para>
    <screen>
      <userinput>setsebool -P allow_unconfined_nsplugin_transition =0</userinput>
    </screen>
Comment 3 Bug Zapper 2008-11-25 23:39:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Daniel Walsh 2008-12-08 16:26:08 EST
Fixed in selinux-policy-3.5.13-33.fc10
Comment 5 Bug Zapper 2009-11-18 03:44:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.